
const STINFO07010_GRID_ID = '#ITP_STINFO07010_jqGrid';
const STINFO07010_GRID_LIST = '#ITP_STINFO07010_jqGrid_list';
const STINFO07010_GRID_PAGER = '#ITP_STINFO07010_jqGridPager';
const STINFO07010_GRID_EMPTY = '#ITP_STINFO07010_jqGridEmpty';

const STINFO07010_VIEW_GRID_ID = '#ITP_STINFO07010_VIEW_jqGrid';
const STINFO07010_VIEW_GRID_LIST = '#ITP_STINFO07010_VIEW_jqGrid_list';
const STINFO07010_VIEW_GRID_PAGER = '#ITP_STINFO07010_VIEW_jqGridPager';
const STINFO07010_VIEW_GRID_EMPTY = '#ITP_STINFO07010_VIEW_jqGridEmpty';

const STINFO07010_DETAIL_GRID_ID = '#ITP_STINFO07010_DETAIL_jqGrid';
const STINFO07010_DETAIL_GRID_LIST = '#ITP_STINFO07010_DETAIL_jqGrid_list';
const STINFO07010_DETAIL_GRID_PAGER = '#ITP_STINFO07010_DETAIL_jqGridPager';
const STINFO07010_DETAIL_GRID_EMPTY = '#ITP_STINFO07010_DETAIL_jqGridEmpty';

let ITP_FORM_STINFO07010_DETAIL_IS_WRITING = false;
let ITP_FORM_STINFO07010_MODE;

let BATCH_DETAIL_GRID_LIST = '/api/batch/detail-grid-list';
let BATCH_HIST_GRID_LIST = '/api/batch/hist-grid-list';
let BATCH_INFO_BATCH = '/api/batch/info-batch';
let BATCH_SAVE_BATCH = '/api/batch/save-batch';
let BATCH_RUN_BATCH = '/api/batch/run-batch';
let BATCH_START_BATCH = '/api/batch/start-batch';
let BATCH_STOP_BATCH = '/api/batch/stop-batch';

require(['config'], function() {
	require([
		'jquery'
	], function($) {
		// 버튼 권한설정
		fn_proc_btn_auth('STINFO07010');
		// 공통코드 표시
		fn_make_select(CODE_LIST, 'BATCH_STATUS_CD', 'ITP_FORM_STINFO07010_SEARCH_BATCH_STAT_CD');
		fn_make_select(CODE_LIST, 'RUN_UNIT_CD', 'ITP_FORM_STINFO07010_SEARCH_RUN_UNIT_CD');
		fn_make_select(CODE_LIST, 'RESULT_CD', 'ITP_FORM_STINFO07010_VIEW_SEARCH_RESULT_CD');
		
		fn_make_select(CODE_LIST, 'RESULT_CD', 'ITP_FORM_STINFO07010_DETAIL_SEARCH_RESULT_CD');
		fn_make_select(CODE_LIST, 'BATCH_TP_CD', 'ITP_FORM_STINFO07010_DETAIL_BATCH_TP_CD', true, '선택');
		fn_make_select(CODE_LIST, 'BATCH_STATUS_CD', 'ITP_FORM_STINFO07010_DETAIL_BATCH_STATUS_CD', true, '선택');
		fn_make_select(CODE_LIST, 'RUN_UNIT_CD', 'ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD', true, '선택');
		fn_make_select(CODE_LIST, 'BATCH_TIME_SET_CD', 'ITP_FORM_STINFO07010_DETAIL_BATCH_TIME_SET_CD', true, '선택');
		fn_make_select(CODE_LIST, 'RUN_REPEAT_TIME_CD', 'ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD', true, '선택');
		
		fn_make_month_select('ITP_FORM_STINFO07010_DETAIL_RUN_MONTH', true, '월');
		fn_make_day_select('ITP_FORM_STINFO07010_DETAIL_RUN_DAY', true, '일');
		fn_make_hh_select('ITP_FORM_STINFO07010_DETAIL_RUN_HH', true, '시');
		fn_make_mi_select('ITP_FORM_STINFO07010_DETAIL_RUN_MI', true, '분');
		// fn_make_ss_select('ITP_FORM_STINFO07010_DETAIL_RUN_SS', true, '초'); 
		
		// ITP_FORM_STINFO07010_DETAIL_RUN_MONTH
		
		// 조회일자 지정
		var previous = new Date();
		$('#ITP_TAB_STINFO07010 .input-group.date').datepicker(ITP_DATE_LANGUAGE);
		$('#ITP_FORM_STINFO07010_SEARCH_FROM_DT').datepicker('setDate', new Date(previous.setMonth(previous.getMonth() - 1)));
		$('#ITP_FORM_STINFO07010_SEARCH_TO_DT').datepicker('setDate', new Date());
		$('#ITP_FORM_STINFO07010_VIEW_SEARCH_FROM_DT').datepicker('setDate', new Date());
		$('#ITP_FORM_STINFO07010_VIEW_SEARCH_TO_DT').datepicker('setDate', new Date());
		$('#ITP_FORM_STINFO07010_DETAIL_SEARCH_FROM_DT').datepicker('setDate', new Date());
		$('#ITP_FORM_STINFO07010_DETAIL_SEARCH_TO_DT').datepicker('setDate', new Date());
				
		// 그리드				
		itp_fn_jqgrid_resize(STINFO07010_GRID_ID, STINFO07010_GRID_LIST, 'lg');
		itp_fn_STINFO07010_grid.init();
    	itp_fn_fire_window_resize();

		// 조회    	
    	itp_fn_STINFO07010_search();

		$('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').closest('.itp_in').hide();
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD').closest('.itp_in').hide();		
		$('#ITP_FORM_STINFO07010_DETAIL_BATCH_TIME_SET_CD').on('change', function() {
			itp_fn_STINFO07010_switch_timeset();
		});
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').on('change', function() {
			itp_fn_STINFO07010_switch_rununit();
		});		
    	
		// 조회 버튼 클릭
		$('#ITP_BTN_STINFO07010_SRH').on('click', function() {
			itp_STINFO07010_search = true;
			let param = $('#ITP_FORM_STINFO07010_SEARCH').serializeObject();
			param.gridSize = $.jgrid.defaults.rowNum;
			param.gridPage = $.jgrid.defaults.page;
			$(STINFO07010_GRID_ID).setGridParam({'postData': JSON.stringify(param)}).trigger('reloadGrid');
		});
		
		// 수정 버튼
		$('#ITP_BTN_STINFO07010_MODIFY').on('click', function() {
			itp_fn_form_clear_validate(null, '#ITP_FORM_STINFO07010_DETAIL');			
			const batchNoVal = $('#ITP_FORM_STINFO07010_VIEW_BATCH_NO').val();
			const key = {batchNo: batchNoVal, viewCd: 'R'};
			var param = $.param(key);
			itp_fn_STINFO07010_detail(param);	
		});
		
		// 신규등록 버튼
		$('#ITP_BTN_STINFO07010_NEWREG').on('click', function() {
			itp_fn_STINFO07010_switch_screen('ADD');			
			itp_fn_form_clear_validate(null, '#ITP_FORM_STINFO07010_DETAIL');				
			// 이력 리스트 조회
			// itp_fn_STINFO07010_detail_grid.unload();
			// itp_fn_STINFO07010_detail_grid.callBack();
		});
		
		// 취소/목록 버튼
		$('#ITP_BTN_STINFO07010_CANCELLIST').on('click', function() {
			itp_fn_STINFO07010_search();
    	});
		
		// 삭제 버튼
		$('#ITP_BTN_STINFO07010_DELETE').on('click', function() {
			
		});
		
		// 가동 버튼
		$('#ITP_BTN_STINFO07010_START').on('click', function() {
			const rowKey = $(STINFO07010_GRID_ID).getGridParam('selrow');
		    if (!rowKey) {
		    	return;
		    }
			var batchNoList = '';
			var selectedIds = $(STINFO07010_GRID_ID).getGridParam('selarrrow');
    		for (var i = 0; i < selectedIds.length; i++) {
				// console.log($(STINFO07010_GRID_ID).jqGrid('getRowData', selectedIds[i]).batchNo);
				batchNoList += $(STINFO07010_GRID_ID).jqGrid('getRowData', selectedIds[i]).batchNo + ";";
			}
			const key = {'batchNoList':  batchNoList};
			const param = $.param(key);
			var searhFn = function() {
				ITP_FORM_STINFO07010_DETAIL_IS_WRITING = false;
				itp_fn_STINFO07010_search();
			};
			fn_ajax_call(BATCH_START_BATCH, param, searhFn, 'GET');
		});
		
		// 중지 버튼
		$('#ITP_BTN_STINFO07010_STOP').on('click', function() {
			const rowKey = $(STINFO07010_GRID_ID).getGridParam('selrow');
		    if (!rowKey) {
		    	return;
		    }
			var batchNoList = '';
			var selectedIds = $(STINFO07010_GRID_ID).getGridParam('selarrrow');
    		for (var i = 0; i < selectedIds.length; i++) {
				// console.log($(STINFO07010_GRID_ID).jqGrid('getRowData', selectedIds[i]).batchNo);
				batchNoList += $(STINFO07010_GRID_ID).jqGrid('getRowData', selectedIds[i]).batchNo + ";";
			}
			const key = {'batchNoList':  batchNoList};
			const param = $.param(key);
			var searhFn = function() {
				ITP_FORM_STINFO07010_DETAIL_IS_WRITING = false;
				itp_fn_STINFO07010_search();
			};
			fn_ajax_call(BATCH_STOP_BATCH, param, searhFn, 'GET');
		});
		
		// 저장 버튼
		$('#ITP_BTN_STINFO07010_SAVE').on('click', function() {			
			const formId = '#ITP_FORM_STINFO07010_DETAIL';
			itp_fn_form_clear_validate(null, formId);
			
			var vali_runUnitCd =  true;		
			var vali_runRepeatTimeCd = true;	
			var batchTimeSetCd = $('#ITP_FORM_STINFO07010_DETAIL_BATCH_TIME_SET_CD').val();
			var runUnitCd = $('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').val();
			
			var vali_batchNm = itp_fn_form_validate(formId, formId + '_BATCH_NM', ['empty'], undefined);
			var vali_batchTpCd = itp_fn_form_validate(formId, formId + '_BATCH_TP_CD', ['empty'], undefined);
			var vali_batchStatusCd = itp_fn_form_validate(formId, formId + '_BATCH_STATUS_CD', ['empty'], undefined);
			var vali_batchTimeSetCd = itp_fn_form_validate(formId, formId + '_BATCH_TIME_SET_CD', ['empty'], undefined);			
			if(batchTimeSetCd == '10') { // 실행시간
				vali_runUnitCd = itp_fn_form_validate(formId, formId + '_RUN_UNIT_CD', ['empty'], undefined);	
			} else if(batchTimeSetCd == '20') { // 반복주기
				vali_runRepeatTimeCd = itp_fn_form_validate(formId, formId + '_RUN_REPEAT_TIME_CD', ['empty'], undefined);
			}
			var vali_batchUrl = itp_fn_form_validate(formId, formId + '_BATCH_URL', ['empty'], undefined);

			if (vali_batchNm && vali_batchTpCd && vali_batchStatusCd && vali_batchTimeSetCd && vali_runUnitCd && vali_batchUrl && vali_runRepeatTimeCd) {
				
				if(batchTimeSetCd == '10') { // 실행시간
					if(runUnitCd == 'YY') { // 년단위
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val() == '' || $('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val() == '00') {
							itp_fn_modal_alert(ITP_MSG_LOCALE.message.batch.runMmSet);
							return;
						}
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val('00'); }
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val('00'); }
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val('00'); }
						// if($('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val('00'); }
												
					} else if(runUnitCd == 'MM') { // 월단위
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val() == '' || $('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val() == '00') {
							itp_fn_modal_alert(ITP_MSG_LOCALE.message.batch.runDdSet);
							return;
						}
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val('00'); }
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val('00'); }
						// if($('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val('00'); }
					} else if(runUnitCd == 'DD') { // 일단위
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val() == '') {
							itp_fn_modal_alert(ITP_MSG_LOCALE.message.batch.runHhSet);
							return;
						}
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val('00'); }
						// if($('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val('00'); }
					} else if(runUnitCd == 'HH') { // 시간단위
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val() == '') {
							itp_fn_modal_alert(ITP_MSG_LOCALE.message.batch.runMiSet);
							return;
						}
						// if($('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val() == '') { $('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val('00'); }
					} else if(runUnitCd == 'MI') { // 분단위
						if($('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val() == '') {
							itp_fn_modal_alert(ITP_MSG_LOCALE.message.batch.runSsSet);
							return;
						}			
					}
				}
				
				let gridInsertData = [];
				let gridUpdateData = [];
				let gridDeleteData = [];
				const rowData = $(STINFO07010_DETAIL_GRID_ID).getRowData();
				const keyValue = $(formId + '_BATCH_NO').val();
				$.each(rowData, function(key, value) {
					if (value.viewCd != 'R') {
						value.batchNo = keyValue;
						if (value.viewCd == 'C') {
							gridInsertData.push(value);
						} else if (value.viewCd == 'U') {
							gridUpdateData.push(value);
						} else if (value.viewCd == 'D') {
							gridDeleteData.push(value);
						}
					}
				});
				let param = $(formId).serializeObject();
				param.runMonth = $('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val();
				param.runDay = $('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val();
				param.runHh = $('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val();
				param.runMi = $('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val();
				param.runSs = $('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val();								
				param.gridInsertData = gridInsertData;
				param.gridUpdateData = gridUpdateData;
				param.gridDeleteData = gridDeleteData;
				//console.log(JSON.stringify(param)); 						
				var searhFn = function() {
					ITP_FORM_STINFO07010_DETAIL_IS_WRITING = false;
					itp_fn_STINFO07010_search();
				};
				fn_ajax_call(BATCH_SAVE_BATCH, JSON.stringify(param), searhFn, 'POST');
			}
		});		
		
		// 배치실행
		$('#ITP_BTN_STINFO07010_EXECUTE').on('click', function() {
			var executeFn = {
				callBack: function(args) {
					var batchNo;
					if(ITP_FORM_STINFO07010_MODE == 'VIEW') {
						batchNo = $('#ITP_FORM_STINFO07010_VIEW_BATCH_NO').val();
					} else if(ITP_FORM_STINFO07010_MODE == 'MODIFY') {
						batchNo = $('#ITP_FORM_STINFO07010_DETAIL_BATCH_NO').val();
					} else {
						return;
					}					
					const key = {'batchNo':  batchNo};
					const param = $.param(key);
					fn_ajax_call(BATCH_RUN_BATCH, param, undefined, 'GET');					
				}
			};
			itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.batchExecute, executeFn, null);		
		});
		
		// 실행이력 - 조회시작일자/조회종료일자/결과상태 변경
		$('#ITP_FORM_STINFO07010_VIEW_SEARCH_FROM_DT,#ITP_FORM_STINFO07010_VIEW_SEARCH_TO_DT,#ITP_FORM_STINFO07010_VIEW_SEARCH_RESULT_CD').on('change', function() {
			// 상세 리스트 조회
			itp_fn_STINFO07010_view_grid.unload();
			itp_fn_STINFO07010_view_grid.callBack();
		});
		
		// 실행이력 - 조회시작일자/조회종료일자/결과상태 변경
		$('#ITP_FORM_STINFO07010_DETAIL_SEARCH_FROM_DT,#ITP_FORM_STINFO07010_DETAIL_SEARCH_TO_DT,#ITP_FORM_STINFO07010_DETAIL_SEARCH_RESULT_CD').on('change', function() {
			// 상세 리스트 조회
			itp_fn_STINFO07010_detail_grid.unload();
			itp_fn_STINFO07010_detail_grid.callBack();
		});
		
		$('body').on('click', function(e) {
			var gridId = STINFO07010_DETAIL_GRID_ID.replace('#', '');
			var rids = $(STINFO07010_DETAIL_GRID_ID).jqGrid('getDataIDs');
			var last_row_id = rids[rids.length - 1];			
			itp_fn_grid_reset_selection(e, last_row_id, gridId, 'STINFO07010_DETAIL');
		});
	});
});

var itp_fn_STINFO07010_switch_rununit = function() {
	var batchTimeSetCd = $('#ITP_FORM_STINFO07010_DETAIL_BATCH_TIME_SET_CD').val();
	if(batchTimeSetCd == '20') { // 실행시간
		return;
	}
	
	$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').removeAttr('disabled');		
	$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').removeAttr('disabled');		
	$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').removeAttr('disabled');		
	$('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').removeAttr('disabled');	
	var runUnitCd = $('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').val();
	if(runUnitCd == 'YY') { // 년단위				
	} else if(runUnitCd == 'MM') { // 월단위
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val('00');
	} else if(runUnitCd == 'DD') { // 일단위
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val('00');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val('00');
	} else if(runUnitCd == 'HH') { // 시간단위
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val('00');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val('00');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val('00');
	} else if(runUnitCd == 'MI') { // 분단위
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val('00');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val('00');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val('00');	
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val('00');	
	}
	
};
	
var itp_fn_STINFO07010_switch_timeset = function() {
	var batchTimeSetCd = $('#ITP_FORM_STINFO07010_DETAIL_BATCH_TIME_SET_CD').val();
	if(batchTimeSetCd == '') {
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').closest('.itp_in').hide();
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD').closest('.itp_in').hide();
	} else if(batchTimeSetCd == '10') { // 실행시간
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').closest('.itp_in').show();
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD').closest('.itp_in').hide();
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD').val('');
		
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').removeAttr('disabled');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').removeAttr('disabled');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').removeAttr('disabled');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').removeAttr('disabled');
		// $('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').removeAttr('disabled');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val('00');
	} else if(batchTimeSetCd == '20') { // 반복주기
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').closest('.itp_in').hide();
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD').closest('.itp_in').show();
		
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val('');
		
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').attr('disabled', true);
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').attr('disabled', true);
		// $('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').attr('disabled', true);
	}
};
	
var itp_fn_STINFO07010_switch_screen = function(mode) {
	ITP_FORM_STINFO07010_MODE = mode;
	
	if(mode == 'LIST') { // 목록
		$('#ITP_BTN_STINFO07010_MODIFY').hide();
		$('#ITP_BTN_STINFO07010_CANCELLIST').hide();
		$('#ITP_BTN_STINFO07010_DELETE').hide();
		$('#ITP_BTN_STINFO07010_SAVE').hide();
		$('#ITP_BTN_STINFO07010_START').hide();
		$('#ITP_BTN_STINFO07010_STOP').hide();
		$('#ITP_BTN_STINFO07010_EXECUTE').hide();
		
		fn_show_btn_auth('#ITP_BTN_STINFO07010_SRH');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_NEWREG');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_START');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_STOP');
		
		$('#ITP_AJAX_STINFO07010_LIST_CONTAINER').show();
		$('#ITP_AJAX_STINFO07010_DETAIL_CONTAINER').hide();		
		$('#ITP_AJAX_STINFO07010_VIEW_CONTAINER').hide();
	} else if(mode == 'ADD') { // 등록	
		$('#ITP_BTN_STINFO07010_SRH').hide();
		$('#ITP_BTN_STINFO07010_MODIFY').hide();
		$('#ITP_BTN_STINFO07010_NEWREG').hide();
		$('#ITP_BTN_STINFO07010_DELETE').hide();
		$('#ITP_BTN_STINFO07010_START').hide();
		$('#ITP_BTN_STINFO07010_STOP').hide();
		$('#ITP_BTN_STINFO07010_EXECUTE').hide();
		
		fn_show_btn_auth('#ITP_BTN_STINFO07010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_SAVE');
		
		$('#ITP_AJAX_STINFO07010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_STINFO07010_DETAIL_CONTAINER').show();
		$('#ITP_FORM_STINFO07010_DETAIL_LIST').hide();
		$('#ITP_AJAX_STINFO07010_VIEW_CONTAINER').hide();
		
		$('#ITP_FORM_STINFO07010_DETAIL_VIEW_CD').val('C');
		$('#ITP_FORM_STINFO07010_DETAIL_BATCH_NO').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_BATCH_NM').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_BATCH_TP_CD').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_BATCH_STATUS_CD').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_BATCH_TIME_SET_CD').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_HH').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_MI').val('');
		$('#ITP_FORM_STINFO07010_DETAIL_RUN_SS').val('00');
		$('#ITP_FORM_STINFO07010_DETAIL_BATCH_URL').val('');
		
		$('#ITP_AJAX_STINFO07010_DETAIL_CONTAINER .fnLastRunDt').html('');
		$('#ITP_AJAX_STINFO07010_DETAIL_CONTAINER .fnAddInfo').html('');
		$('#ITP_AJAX_STINFO07010_DETAIL_CONTAINER .fnChgInfo').html('');
		
	} else if(mode == 'MODIFY') { // 수정
		$('#ITP_BTN_STINFO07010_SRH').hide();
		$('#ITP_BTN_STINFO07010_MODIFY').hide();
		$('#ITP_BTN_STINFO07010_NEWREG').hide();		
		$('#ITP_BTN_STINFO07010_DELETE').hide();
		$('#ITP_BTN_STINFO07010_START').hide();
		$('#ITP_BTN_STINFO07010_STOP').hide();
		$('#ITP_BTN_STINFO07010_EXECUTE').hide();
		
		fn_show_btn_auth('#ITP_BTN_STINFO07010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_SAVE');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_EXECUTE');	
		
		$('#ITP_AJAX_STINFO07010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_STINFO07010_DETAIL_CONTAINER').show();
		$('#ITP_FORM_STINFO07010_DETAIL_LIST').show();
		$('#ITP_AJAX_STINFO07010_VIEW_CONTAINER').hide();
		
	} else if(mode == 'VIEW') { // 보기
		$('#ITP_BTN_STINFO07010_SRH').hide();
		$('#ITP_BTN_STINFO07010_NEWREG').hide();		
		$('#ITP_BTN_STINFO07010_DELETE').hide();
		$('#ITP_BTN_STINFO07010_SAVE').hide();
		$('#ITP_BTN_STINFO07010_START').hide();
		$('#ITP_BTN_STINFO07010_STOP').hide();
		$('#ITP_BTN_STINFO07010_EXECUTE').hide();
		
		fn_show_btn_auth('#ITP_BTN_STINFO07010_MODIFY');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_STINFO07010_EXECUTE');
		
		$('#ITP_AJAX_STINFO07010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_STINFO07010_DETAIL_CONTAINER').hide();
		$('#ITP_AJAX_STINFO07010_VIEW_CONTAINER').show();
	}	
};

var itp_fn_STINFO07010_grid = {
	init: function() {
		// 데이터 없을때
		itp_fn_STINFO07010_empty.push();
		$(STINFO07010_GRID_EMPTY).on('click', function() {
			itp_fn_STINFO07010_empty.back();
			itp_STINFO07010_param.gridSize = $.jgrid.defaults.rowNum;
			$(STINFO07010_GRID_ID).setGridParam({'postData': JSON.stringify(itp_STINFO07010_param)}).trigger('reloadGrid');
		});	
	},
	callBack: function() {
		let param = $('#ITP_FORM_STINFO07010_SEARCH').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum;	
		$(STINFO07010_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'BATCH_NO', name: 'batchNo',
					label: ITP_MSG_LOCALE.label.batchNo, //배치번호
					width: '8', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'BATCH_NM', name: 'batchNm',
					label: ITP_MSG_LOCALE.label.batchNm, //배치명
					width: '13', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'BATCH_TP_NM', name: 'batchTpNm',
					label: ITP_MSG_LOCALE.label.batchTpCd, //구분
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'BATCH_TIME_SET_NM', name: 'batchTimeSetNm',
					label: ITP_MSG_LOCALE.label.batchTimeSetCd, //구분
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				},				
				{
					index: 'BATCH_RUN_UNIT', name: 'batchRunUnit',
					label: ITP_MSG_LOCALE.label.runUnitCd, //실행단위
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				},			
				{
					index: 'BATCH_STATUS_NM', name: 'batchStatusNm',
					label: ITP_MSG_LOCALE.label.status, //상태
					width: '6', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'LAST_RUN_DT', name: 'lastRunDt',
					label: ITP_MSG_LOCALE.label.lastRunDt, //최종실행일시
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: false
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + BATCH_DETAIL_GRID_LIST,
			pager: STINFO07010_GRID_PAGER,
			multiselect: true,
			rownumbers: false, 
			onCellSelect: function(rowId, cellIdx, cellValue) {
				var cm = $(this).jqGrid('getGridParam', 'colModel');
				var colNm = cm[cellIdx].name;
				if (colNm == 'batchNm') {
					const batchNoVal = $(this).jqGrid('getCell', rowId, 'batchNo');
					const key = {batchNo: batchNoVal, viewCd: 'R'};
					var param = $.param(key);
					itp_fn_STINFO07010_view(param);
				}
		   	},
			loadComplete: function(data) {
				//console.log(JSON.stringify(data));
				itp_fn_grid_load_complete(data, STINFO07010_GRID_ID, true, 'number', 'STINFO07010', itp_STINFO07010_search, itp_fn_STINFO07010_empty, true, data.gridRecords, true);
				var ids = $(STINFO07010_GRID_ID).getDataIDs();
				$.each(ids, function(idx, rowId) {
					$(STINFO07010_GRID_ID).jqGrid('setCell', rowId, 'batchNm', '', ITP_GRID_COL_STYLE.link);
				});	
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	itp_fn_grid_paging(STINFO07010_GRID_ID, action, param);
		    }
		}).navGrid(STINFO07010_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(STINFO07010_GRID_ID).jqGrid('clearGridData', true);
		$(STINFO07010_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(STINFO07010_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(STINFO07010_GRID_EMPTY).show();
	}, 
	unload : function() {
		$.jgrid.gridUnload(STINFO07010_GRID_ID); 
	}
};

var itp_fn_STINFO07010_search = function() {
	itp_fn_STINFO07010_switch_screen('LIST');	
	itp_fn_STINFO07010_grid.unload();
	itp_fn_STINFO07010_grid.callBack();
};

let itp_STINFO07010_param = {};
let itp_STINFO07010_search = false;
var itp_fn_STINFO07010_empty = {
	push: function() {
		let param = $('#ITP_FORM_STINFO07010_SEARCH').serializeObject();
		itp_STINFO07010_param = param;
	},
	back: function() {
		$('#ITP_FORM_STINFO07010_DEVI_TP_CD').val(itp_STINFO07010_param.deviTpCd);
		$('#ITP_FORM_STINFO07010_ORDER_YN').val(itp_STINFO07010_param.orderYn);
		$('#ITP_FORM_STINFO07010_ADT_AUTH_CD').val(itp_STINFO07010_param.adtAuthCd);
		$('#ITP_FORM_STINFO07010_EMAIL_RCV_YN').val(itp_STINFO07010_param.emailRcvYn);
		$('#ITP_FORM_STINFO07010_SMS_RCV_YN').val(itp_STINFO07010_param.smsRcvYn);
		$('#ITP_FORM_STINFO07010_MEMB_EXIT_DT').val(itp_STINFO07010_param.membExitDt);
		$('#ITP_FORM_STINFO07010_FROM_DT').val(itp_STINFO07010_param.fromDt);
		$('#ITP_FORM_STINFO07010_TO_DT').val(itp_STINFO07010_param.toDt);
		$('#ITP_FORM_STINFO07010_KEYWORD').val(itp_STINFO07010_param.keyword);
	}
};

var itp_fn_STINFO07010_view = function(param) {
	fn_ajax_call(BATCH_INFO_BATCH, param, itp_fn_STINFO07010_view_callback, 'GET');
};

var itp_fn_STINFO07010_view_callback = function(result) {
	// console.log(result);
	itp_fn_STINFO07010_switch_screen('VIEW');
	$('#ITP_FORM_STINFO07010_VIEW #ITP_FORM_STINFO07010_VIEW_BATCH_NO').val(result.batchNo);
	$('#ITP_FORM_STINFO07010_VIEW_SEARCH #ITP_FORM_STINFO07010_VIEW_SEARCH_BATCH_NO').val(result.batchNo);
	
	var runInfoTxt = '';
	if(result.runMonth && result.runMonth != '') { runInfoTxt += result.runMonth + '월 '; }
	if(result.runDay && result.runDay != '') { runInfoTxt += result.runDay + '일 '; }
	if(result.runHh && result.runHh != '') { runInfoTxt += result.runHh + '시 '; }
	if(result.runMi && result.runMi != '') { runInfoTxt += result.runMi + '분 '; }
	// if(result.runSs && result.runSs != '') { runInfoTxt += result.runSs + '초 '; }
	
	$('#ITP_FORM_STINFO07010_VIEW .fnBatchNm').text(result.batchNm);
	$('#ITP_FORM_STINFO07010_VIEW .fnBatchTpNm').text(result.batchTpNm);
	$('#ITP_FORM_STINFO07010_VIEW .fnBatchStatusNm').text(result.batchStatusNm);	
	if(result.batchTimeSetCd == '10') { // 실행시간
		$('#ITP_FORM_STINFO07010_VIEW .fnRunUnitNm').text(result.batchTimeSetNm + ' ' + result.runUnitNm);	
	} else if(result.batchTimeSetCd == '20') { // 반복주기
		$('#ITP_FORM_STINFO07010_VIEW .fnRunUnitNm').text(result.batchTimeSetNm + ' ' + result.runRepeatTimeNm);
	}	
	$('#ITP_FORM_STINFO07010_VIEW .fnLastRunDt').text(result.lastRunDt);
	$('#ITP_FORM_STINFO07010_VIEW .fnRunInfo').text(runInfoTxt);
	$('#ITP_FORM_STINFO07010_VIEW .fnBatchUrl').text(result.batchUrl);
	$('#ITP_FORM_STINFO07010_VIEW .fnAddInfo').text(result.addNm +'/'+ result.addDt);	
	$('#ITP_FORM_STINFO07010_VIEW .fnChgInfo').text(result.chgNm +'/'+ result.chgDt);	
	
	// 상세 리스트 조회
	itp_fn_STINFO07010_view_grid.unload();
	itp_fn_STINFO07010_view_grid.callBack();
};

var itp_fn_STINFO07010_view_grid = {
	init: function() {
	},
	callBack: function() {
		let param = $('#ITP_FORM_STINFO07010_VIEW_SEARCH').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum; 
		param.pagingYn = true; 
		
		$(STINFO07010_VIEW_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'VIEW_CD', name: 'viewCd',
					label: ITP_MSG_LOCALE.label.viewCd,
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'BATCH_HIST_NO', name: 'batchHistNo',
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'RUN_DT', name: 'runDt',
					label: ITP_MSG_LOCALE.label.runDt, 		// 실행일시
					width: '25', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text',
					editrules: {required: true}
				},
				{
					index: 'RUN_TP_NM', name: 'runTpNm',
					label: ITP_MSG_LOCALE.label.runTpCd, 	// 가동구분
					width: '25', fixed: false, align: 'center',
					sortable: true, editable: false, edittype: 'text',
					editrules: {required: true}
				},
				{
					index: 'ADD_NM', name: 'addNm',
					label: ITP_MSG_LOCALE.label.addId,		// 수행자
					width: '10', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				},
				{
					index: 'RESULT_NM', name: 'resultNm',
					label: ITP_MSG_LOCALE.label.resultCd,		// 결과
					width: '10', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				},
				{
					index: 'ERROR_VIEW', name: 'errorView', 
					label: ITP_MSG_LOCALE.label.errorView,
					width: '10', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + BATCH_HIST_GRID_LIST,
			pager: STINFO07010_VIEW_GRID_PAGER,
			multiselect: false,
			onCellSelect: function(rowId, cellIdx, cellValue) {
				var cm = $(this).jqGrid('getGridParam', 'colModel');
				var colNm = cm[cellIdx].name;
				if (colNm == 'errorView') {
					const batchHistNoVal = $(this).jqGrid('getCell', rowId, 'batchHistNo');
					const key = {batchHistNo: batchHistNoVal, viewCd: 'R'};
					var param = $.param(key);
					
					var popFn = function(rowDataPop) {								
					};			
					fn_call_popup('biz', 'BIZPOP_BATCH_ERROR', '#ITP_ASIDE', popFn, param, 'S');
					$('#ITP_BIZPOP_BATCH_ERROR > div.modal-dialog').width('400px');
				}
		   	},
			loadComplete: function(data) {				
				itp_fn_grid_load_complete(data, STINFO07010_VIEW_GRID_ID, true, undefined, 'STINFO07010_VIEW');		
				// 오류보기 		
				var ids = $(STINFO07010_VIEW_GRID_ID).getDataIDs();
				$.each(ids, function(idx, rowId) {
					const resultNm = $(STINFO07010_VIEW_GRID_ID).jqGrid('getCell', rowId, 'resultNm');
					if(resultNm != '성공') {
						$(STINFO07010_VIEW_GRID_ID).jqGrid('setCell', rowId, 'errorView', '오류보기', ITP_GRID_COL_STYLE.link);	
					}
				});
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	var pagingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(STINFO07010_VIEW_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, pagingFn, STINFO07010_VIEW_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_paging(STINFO07010_VIEW_GRID_ID, action, param);
		    	}
		    },
		    onSortCol: function(index, columnIndex, sortOrder) {
		    	var sortingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(STINFO07010_VIEW_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, sortingFn, STINFO07010_VIEW_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_sorting(STINFO07010_VIEW_GRID_ID, index, sortOrder);
		    	}
		    }
		}).navGrid(STINFO07010_VIEW_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(STINFO07010_VIEW_GRID_ID).jqGrid('clearGridData', true);
		$(STINFO07010_VIEW_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(STINFO07010_VIEW_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(STINFO07010_VIEW_GRID_EMPTY).show();
	}, 
	unload : function() {
		$.jgrid.gridUnload(STINFO07010_VIEW_GRID_ID); 
	}
};

var itp_fn_STINFO07010_detail = function(param) {
	fn_ajax_call(BATCH_INFO_BATCH, param, itp_fn_STINFO07010_detail_callback, 'GET');
};

var itp_fn_STINFO07010_detail_callback = function(result) {
	// console.log(result);
	itp_fn_STINFO07010_switch_screen('MODIFY');
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_VIEW_CD').val('U');
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_BATCH_NO').val(result.batchNo);
	$('#ITP_FORM_STINFO07010_DETAIL_SEARCH #ITP_FORM_STINFO07010_DETAIL_SEARCH_BATCH_NO').val(result.batchNo);
	
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_BATCH_NM').val(result.batchNm);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_BATCH_TP_CD').val(result.batchTpCd);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_BATCH_STATUS_CD').val(result.batchStatusCd);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_BATCH_TIME_SET_CD').val(result.batchTimeSetCd);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_RUN_UNIT_CD').val(result.runUnitCd);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_RUN_REPEAT_TIME_CD').val(result.runRepeatTimeCd);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_BATCH_URL').val(result.batchUrl);
	
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_RUN_MONTH').val(result.runMonth);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_RUN_DAY').val(result.runDay);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_RUN_HH').val(result.runHh);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_RUN_MI').val(result.runMi);
	$('#ITP_FORM_STINFO07010_DETAIL #ITP_FORM_STINFO07010_DETAIL_RUN_SS').val(result.runSs);
	
	$('#ITP_FORM_STINFO07010_DETAIL .fnLastRunDt').text(result.lastRunDt);	
	$('#ITP_FORM_STINFO07010_DETAIL .fnAddInfo').text(result.addNm +'/'+ result.addDt);	
	$('#ITP_FORM_STINFO07010_DETAIL .fnChgInfo').text(result.chgNm +'/'+ result.chgDt);
	
	itp_fn_STINFO07010_switch_timeset();
	itp_fn_STINFO07010_switch_rununit();
	
	// 권한정보 리스트 조회
	itp_fn_STINFO07010_detail_grid.unload();
	itp_fn_STINFO07010_detail_grid.callBack();
};

var itp_fn_STINFO07010_detail_grid = {
	init: function() {
	},
	callBack: function() {
		let param = $('#ITP_FORM_STINFO07010_DETAIL_SEARCH').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum; 
		param.pagingYn = true;  
		
		$(STINFO07010_DETAIL_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'VIEW_CD', name: 'viewCd',
					label: ITP_MSG_LOCALE.label.viewCd,
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'BATCH_HIST_NO', name: 'batchHistNo',
					width: '10', fixed: false, align: 'center',
					sortable: false, hidden: true
				},
				{
					index: 'RUN_DT', name: 'runDt',
					label: ITP_MSG_LOCALE.label.runDt, 		// 실행일시
					width: '25', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text',
					editrules: {required: true}
				},
				{
					index: 'RUN_TP_NM', name: 'runTpNm',
					label: ITP_MSG_LOCALE.label.runTpCd, 	// 가동구분
					width: '25', fixed: false, align: 'center',
					sortable: true, editable: false, edittype: 'text',
					editrules: {required: true}
				},
				{
					index: 'ADD_NM', name: 'addNm',
					label: ITP_MSG_LOCALE.label.addId,		// 수행자
					width: '10', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				},
				{
					index: 'RESULT_NM', name: 'resultNm',
					label: ITP_MSG_LOCALE.label.resultCd,		// 결과
					width: '10', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				},
				{
					index: 'ERROR_VIEW', name: 'errorView', 
					label: ITP_MSG_LOCALE.label.errorView,
					width: '10', fixed: false, align: 'center',
					sortable: false, editable: false, edittype: 'text'
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + BATCH_HIST_GRID_LIST,
			pager: STINFO07010_DETAIL_GRID_PAGER,
			multiselect: false,
			onCellSelect: function(rowId, cellIdx, cellValue) {
				var cm = $(this).jqGrid('getGridParam', 'colModel');
				var colNm = cm[cellIdx].name;
				if (colNm == 'errorView') {
					// const batchNoVal = $(this).jqGrid('getCell', rowId, 'batchNo');
					// const key = {batchNo: batchNoVal, viewCd: 'R'};
					// var param = $.param(key);
					// itp_fn_STINFO07010_view(param);
				}
		   	},
			loadComplete: function(data) {				
				itp_fn_grid_load_complete(data, STINFO07010_DETAIL_GRID_ID, true, undefined, 'STINFO07010_DETAIL');
				// 오류보기 		
				var ids = $(STINFO07010_DETAIL_GRID_ID).getDataIDs();
				$.each(ids, function(idx, rowId) {
					const resultNm = $(STINFO07010_DETAIL_GRID_ID).jqGrid('getCell', rowId, 'resultNm');
					if(resultNm != '성공') {
						$(STINFO07010_DETAIL_GRID_ID).jqGrid('setCell', rowId, 'errorView', '오류보기', ITP_GRID_COL_STYLE.link);	
					}
				});
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	var pagingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(STINFO07010_DETAIL_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, pagingFn, STINFO07010_DETAIL_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_paging(STINFO07010_DETAIL_GRID_ID, action, param);
		    	}
		    },
		    onSortCol: function(index, columnIndex, sortOrder) {
		    	var sortingFn = {
	    			callBack: function(args) {
	    				$(args).trigger('reloadGrid');
	    			}
	    		};
		    	if (itp_fn_check_grid_is_writing(STINFO07010_DETAIL_GRID_ID)) {
		    		itp_fn_modal_confirm(ITP_MSG_LOCALE.message.ajax.cancelData, sortingFn, STINFO07010_DETAIL_GRID_ID);
		    		return 'stop';
		    	} else {
		    		itp_fn_grid_sorting(STINFO07010_DETAIL_GRID_ID, index, sortOrder);
		    	}
		    }
		}).navGrid(STINFO07010_DETAIL_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(STINFO07010_DETAIL_GRID_ID).jqGrid('clearGridData', true);
		$(STINFO07010_DETAIL_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(STINFO07010_DETAIL_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(STINFO07010_DETAIL_GRID_EMPTY).show();
	}, 
	unload : function() {
		$.jgrid.gridUnload(STINFO07010_DETAIL_GRID_ID); 
	}
};